import { Stack, StackProps } from "aws-cdk-lib";
import { Construct } from "constructs";
import { ParameterStore } from "../../aws-ssm";
import { StringParameter } from "aws-cdk-lib/aws-ssm";
export interface ExportedStackOptions {
    parameterExportsPrefix?: string;
}
export interface ExportedStackProps extends ExportedStackOptions, StackProps {
}
/**
 * Provides functionality to export parameters to support cross region pipelines.
 */
export declare class ExportedStack extends Stack {
    readonly parameterExportsPrefix: string;
    readonly parameterExports: ParameterStore;
    constructor(scope: Construct, id: string, props?: ExportedStackProps);
    exportParameter(name: string, value: string): StringParameter;
}
